/*
 * Copyright 1999 by dreamBean Software,
 * All rights reserved.
 */
package org.jboss.ejb3.test.bank;

import java.io.ObjectStreamException;
import java.rmi.RemoteException;
import javax.ejb.CreateException;

/**
 * @see <related>
 * @author $Author: bill $
 * @version $Revision: 1.3.2.4 $
 */
public class AccountBeanCMP extends AccountBean
{
   // Constants -----------------------------------------------------

   // Attributes ----------------------------------------------------
   public String id;

   public float balance;

   public Customer owner;

   private boolean dirty;

   // Static --------------------------------------------------------

   // Constructors --------------------------------------------------

   // Public --------------------------------------------------------
   public String getId()
   {
      return id;
   }

   public void setId(String id)
   {
      this.id = id;
      dirty = true;
   }

   public float getBalance()
   {
      return balance;
   }

   public void setBalance(float balance)
   {
      this.balance = balance;
      dirty = true;
   }

   public Customer getOwner()
   {
      return owner;
   }

   public void setOwner(Customer owner)
   {
      this.owner = owner;
      dirty = true;
   }

   public void setData(AccountData data)
   {
      setBalance(data.getBalance());
      setOwner(data.getOwner());
   }

   public AccountData getData()
   {
      AccountData data = new AccountData();
      data.setId(id);
      data.setBalance(balance);
      data.setOwner(owner);
      return data;
   }

   public boolean isModified()
   {
      return dirty;
   }

   // EntityBean implementation -------------------------------------
   public String ejbCreate(AccountData data) throws RemoteException,
         CreateException
   {
      setId(data.id);
      setData(data);
      dirty = false;
      return null;
   }

   public void ejbPostCreate(AccountData data) throws RemoteException,
         CreateException
   {
   }

   public void ejbLoad() throws RemoteException
   {
      dirty = false;
   }
}

/*
 * $Id: AccountBeanCMP.java,v 1.3.2.4 2005/09/14 22:19:01 bill Exp $ Currently
 * locked by:$Locker:  $ Revision: $Log: AccountBeanCMP.java,v $
 * locked by:$Locker:  $ Revision: Revision 1.3.2.4  2005/09/14 22:19:01  bill
 * locked by:$Locker:  $ Revision: merge from head
 * locked by:$Locker:  $ Revision:
 * locked by:$Locker:  $ Revision: Revision 1.3  2005/05/17 22:37:42  bdecoste
 * locked by:$Locker:  $ Revision: remove ejb2.1 rules
 * locked by:$Locker:  $ Revision:
 * locked by:$Locker:  $ Revision: Revision 1.2  2005/05/03 23:51:01  bdecoste
 * locked by:$Locker:  $ Revision: fixed formatting
 * locked by:$Locker:  $ Revision: Revision 1.1
 * 2005/05/03 20:35:11 bdecoste test for ejb3 deployment descriptors Revision
 * 1.2 2001/01/07 23:14:34 peter Trying to get JAAS to work within test suite.
 * Revision 1.1.1.1 2000/06/21 15:52:37 oberg Initial import of jBoss test. This
 * module contains CTS tests, some simple examples, and small bean suites.
 */
